# API key

Section: Account. Part of the [API reference](https://developer.yoprint.com/reference.md). Web page: https://developer.yoprint.com/reference/api-key/

This page and all 4 operation pages, in one file: https://developer.yoprint.com/llms/api-key.txt

Your personal API key. Check that it works here; create, copy and reset it on your Profile page in the YoPrint web app.

## Operations (4)

- [Create your personal API key (refused on the public API)](https://developer.yoprint.com/reference/api-key/v1-user-api-key-create.md): `POST /v1/api/store/{team_slug}/user_api_key/create_api_key`. Refused on the public API: once your key is accepted, it answers `403` with error code `self_credential`.
- [Check that your API key works for a team](https://developer.yoprint.com/reference/api-key/v1-misc-is-authenticated.md): `GET /v1/api/store/{team_slug}/is_authenticated`. Answers `200` with `{"is_authenticated": true}` when the key is valid and its owner is a member of the team in the path.
- [Show your personal API key (refused on the public API)](https://developer.yoprint.com/reference/api-key/v1-user-api-key-show.md): `GET /v1/api/store/{team_slug}/user_api_key/get_api_key`. Refused on the public API: once your key is accepted, it answers `403` with error code `self_credential`.
- [Replace your personal API key (refused on the public API)](https://developer.yoprint.com/reference/api-key/v1-user-api-key-reset.md): `POST /v1/api/store/{team_slug}/user_api_key/reset_api_key`. Refused on the public API: once your key is accepted, it answers `403` with error code `self_credential`.
